Page MenuHomeFreeBSD

x11-wm/compiz: Clean up port's makefile
ClosedPublic

Authored by 0mp on Mar 5 2019, 6:33 PM.

Details

Summary
x11-wm/compiz: Clean up port's makefile

- Add modesetting to the drivers whitelist
- Use upstream name xfwm4 instead of xfwm to properly fall back
- Remove reference to former option GNOME
- Simplify option DBUS
- Add missing dependencies
- Add LICENSE
- Add USES=gnome, USES=gl and USE_GL=gl
- Reorder the variables to pet portlint
- Regenerate patch files to pet portlint

Metacity migrated to GTK+ 3 while Compiz still uses GTK+ 2. This incompatibilty
was left unseen at make time because of a reference to former option GNOME in
an assertion which resulted in METACITY being always disabled.

Committer's changes:
- Remove broken option METACITY
- Further lint the makefile

PR:             230894
Submitted by:	Samy Mahmoudi <samy.mahmoudi@gmail.com>
Approved by:    portmgr (maintainer timeout: > 14 days)
Test Plan
  • portlint
  • poudriere 11.2 amd64, 12.0 i386

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

0mp created this revision.Mar 5 2019, 6:33 PM
0mp added a reviewer: x11.Mar 5 2019, 6:33 PM
kwm added a subscriber: kwm.Mar 5 2019, 9:10 PM
kwm added inline comments.
x11-wm/compiz/files/compiz-manager.in
62 ↗(On Diff #54735)

Just a though, I assume intel covers i915. Does ati/radeon cover amdgpu support? If it doesn't might want to add that too.

koobs edited the summary of this revision. (Show Details)Mar 6 2019, 2:24 AM
mat added inline comments.Mar 12 2019, 8:08 PM
x11-wm/compiz/Makefile
103 ↗(On Diff #54735)
​.if ${PORT_OPTIONS:MDBUS} && ${PORT_OPTIONS:MGTK2}

prev: WHITELIST="nvidia intel ati radeon i810"
current: WHITELIST="nvidia intel ati radeon i810 modesetting"
next: WHITELIST="nvidia intel ati radeon i810 amdgpu modesetting"

x11-wm/compiz/files/compiz-manager.in
62 ↗(On Diff #54735)

The elements of the list are prefixes of display drivers located in /usr/local/lib/xorg/modules/drivers, so these refer to Xorg display drivers, not kernel modules.

So "intel" covers i915 if and only if intel_drv.so is loaded. If modesetting_drv.so is loaded then "intel" does not cover i915 anymore.

As xf86-video-amdgpu installs amdgpu_drv.so, we should also add "amdgpu" to the list. "ati" and "radeon" cover display drivers installed by both xf86-video-ati and xf86-video-ati-legacy.

This revision was not accepted when it landed; it landed in state Needs Review.May 2 2019, 3:38 PM
This revision was automatically updated to reflect the committed changes.